VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2370
   ClientLeft      =   165
   ClientTop       =   855
   ClientWidth     =   4875
   LinkTopic       =   "Form1"
   ScaleHeight     =   2370
   ScaleWidth      =   4875
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkSpindle 
      Caption         =   "Spindle"
      Height          =   255
      Left            =   3240
      TabIndex        =   10
      Top             =   1320
      Width           =   915
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   3660
      Top             =   1800
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Timer Timer1 
      Interval        =   100
      Left            =   3180
      Top             =   1860
   End
   Begin VB.TextBox txtZDRO 
      Height          =   315
      Left            =   3240
      TabIndex        =   6
      Top             =   900
      Width           =   1575
   End
   Begin VB.TextBox txtYDRO 
      Height          =   315
      Left            =   3240
      TabIndex        =   5
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtXDRO 
      Height          =   315
      Left            =   3240
      TabIndex        =   4
      Top             =   60
      Width           =   1575
   End
   Begin VB.CommandButton cmdStop 
      Caption         =   "Stop"
      Height          =   375
      Left            =   60
      TabIndex        =   3
      Top             =   900
      Width           =   1035
   End
   Begin VB.CommandButton cmdPause 
      Caption         =   "Pause"
      Height          =   375
      Left            =   60
      TabIndex        =   2
      Top             =   480
      Width           =   1035
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "Start"
      Height          =   375
      Left            =   60
      TabIndex        =   1
      Top             =   60
      Width           =   1035
   End
   Begin VB.CommandButton cmdReset 
      Caption         =   "RESET"
      Height          =   675
      Left            =   60
      TabIndex        =   0
      Top             =   1620
      Width           =   1095
   End
   Begin VB.Label Label3 
      Caption         =   "Z"
      Height          =   195
      Left            =   3000
      TabIndex        =   9
      Top             =   960
      Width           =   135
   End
   Begin VB.Label Label2 
      Caption         =   "Y"
      Height          =   195
      Left            =   3000
      TabIndex        =   8
      Top             =   540
      Width           =   135
   End
   Begin VB.Label Label1 
      Caption         =   "X"
      Height          =   195
      Left            =   3000
      TabIndex        =   7
      Top             =   120
      Width           =   135
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileOpen 
         Caption         =   "&Open"
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub chkSpindle_Click()
  If chkSpindle.Value = vbChecked Then
    mach3.DoSpinCW
  Else
    mach3.DoSpinStop
  End If
End Sub

Private Sub cmdPause_Click()
  mach3.DoOEMButton 1001
End Sub

Private Sub cmdReset_Click()
  mach3.DoOEMButton 1021
End Sub

Private Sub cmdStart_Click()
  mach3.DoOEMButton 1000
End Sub

Private Sub cmdStop_Click()
  mach3.DoOEMButton 1003
End Sub

Private Sub Form_Load()
  If Not InitMach() Then
    MsgBox "FAILED to initilize connection to mach is it running?, what version? use Mach3Version3.042.020.exe from the ftp server. New versions dont properly register the COM objects in the registry."
  Else
    Me.Caption = "Mach3 Automation Example"
  End If
End Sub

Private Sub mnuFileOpen_Click()
  CommonDialog1.DialogTitle = "Select the File..."
  CommonDialog1.Flags = cdlOFNFileMustExist
  CommonDialog1.Filter = "Tape|*.tap|NC|*.nc|Text|*.txt|All|*.*"
  CommonDialog1.ShowOpen
  If Len(CommonDialog1.FileName) = 0 Then
    Exit Sub
  End If
  
  mach3.LoadFile CommonDialog1.FileName
End Sub

Private Sub Timer1_Timer()
  txtXDRO.Text = mach3.GetOEMDRO(800)
  txtYDRO.Text = mach3.GetOEMDRO(801)
  txtZDRO.Text = mach3.GetOEMDRO(802)
  
  'the spindle could be toggled via Mach's interface
  'this keeps this interface in synch
  If mach3.GetOEMLed(116) Then
    chkSpindle.Value = vbChecked
  Else
    chkSpindle.Value = vbUnchecked
  End If
End Sub
