Attribute VB_Name = "Module1"
Private machDoc As Mach4.CMach4Doc
Public mach3 As Object

Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (ByVal pDest As Long, ByRef pSrc As Long, ByVal ByteLen As Long)

Public Function InitMach() As Boolean
    On Error Resume Next
    
    Set machDoc = GetObject(, "Mach4.Document")
    If machDoc Is Nothing Then Exit Function
    IncrementRefCount machDoc
    Set mach3 = machDoc.GetScriptDispatch()
    If Err.Number = 0 Then InitMach = True
End Function

'mach does not properly increment its ref count when using GetObject()
'on a running instance, so we need to artifically do it for it..
'otherwise when our vb app shuts down, the interface will be removed from memory.
'an wont be available until mach is restarted..
Private Sub IncrementRefCount(target As Object)

    Dim tempObj As Object
    Set tempObj = target 'VB6 calls AddRef for you here
    
    'MsgBox "Obj=" & Hex(VarPtr(tempObj))
    
    'we set our variable to 0 (nothing) outside of vb's knowledge,
    'so when it checks as variable goes out of scope, it thinks
    'there is nothing to do and does not call release
    Call CopyMemory(ByVal VarPtr(tempObj), 0, 4)
    
End Sub

